#!/usr/bin/env python
#
# PkgTrackInst.checkplist_main - Checks an installation and verifies pkg-plist.
#
# ----------------------------------------------------------------------------
# "THE BEER-WARE LICENSE" (Revision 42, (c) Poul-Henning Kamp):
# Hye-Shik Chang <perky@FreeBSD.org> wrote this file.  As long as you retain
# this notice you can do whatever you want with this stuff. If we meet some
# day, and you think this stuff is worth it, you can buy me a beer in return.
#
# Hye-Shik Chang
# ----------------------------------------------------------------------------
# $Id: checkplist_main.py 644 2006-06-25 09:44:16Z perky $

__pychecker__ = 'no-argsused no-isliteral'

from PkgTrackInst.cmd_support import *
import os, sys
import tempfile

def parse_options():
    from optparse import OptionParser
    usage = "usage: %prog [options] [make arguments]"
    parser = OptionParser(usage=usage)
    parser.add_option('-v', '--version', dest='show_version',
                      default=False, action='store_true',
                      help='show version and exit')
    parser.add_option('-s', '--no-substitute', dest='substitute',
                      default=True, action='store_false',
                      help="don't try any substitutions")
    parser.add_option('-o', '--output', dest='output', default='pkg-plist',
                      metavar='FILE', help='filename to write result output')
    opts, args = parser.parse_args()
    opts.makeargs = list(args)
    opts.check_mode = True
    return opts

def main():
    from PkgTrackInst import genplist_main
    return genplist_main.main(parse_options)

if __name__ == '__main__':
    main()
