#!/usr/bin/env python
#
# PkgTrackInst.compat23 - Compatibility support for Python 2.3
#
# ----------------------------------------------------------------------------
# "THE BEER-WARE LICENSE" (Revision 42, (c) Poul-Henning Kamp):
# Hye-Shik Chang <perky@FreeBSD.org> wrote this file.  As long as you retain
# this notice you can do whatever you want with this stuff. If we meet some
# day, and you think this stuff is worth it, you can buy me a beer in return.
#
# Hye-Shik Chang
# ----------------------------------------------------------------------------
# $Id: compat23.py 644 2006-06-25 09:44:16Z perky $

__pychecker__ = 'no-argsused no-isliteral'

import sys
import __builtin__

if sys.hexversion < 0x2040000:
    def sorted(L, reverse=False):
        r = L[:]
        r.sort()
        if reverse:
            r.reverse()
        return r

    def reversed(L):
        r = L[:]
        r.reverse()
        return r

    _list = list
    class list(_list):
        def sort(self, cmp=None, key=None, reverse=False):
            if key is None and reverse is False:
                return _list.sort(self, cmp)
            if key is not None:
                _list.sort(self, lambda a, b: __builtin__.cmp(key(a), key(b)))
            if reverse:
                self.reverse()

    from sets import Set as set

del sys
